# Uses of Interface
org.apache.avro.generic.GenericArray

Packages that use GenericArray
Package
Description
org.apache.avro.generic
A generic representation for Avro data.

## Uses of GenericArray in org.apache.avro.generic

Classes in org.apache.avro.generic that implement GenericArray
Modifier and Type
Class
Description
`static class`
`GenericData.AbstractArray<T>`
`static class`
`GenericData.Array<T>`
Default implementation of an array.
`static class`
`PrimitivesArrays.BooleanArray`
`static class`
`PrimitivesArrays.DoubleArray`
`static class`
`PrimitivesArrays.FloatArray`
`static class`
`PrimitivesArrays.IntArray`
`static class`
`PrimitivesArrays.LongArray`
Methods in org.apache.avro.generic with parameters of type GenericArray
Modifier and Type
Method
Description
`int`
GenericData.AbstractArray.`compareTo(GenericArray<T> that)`